import { Series } from "./Series";
import { NumericXAxis } from "./NumericXAxis";
import { NumericYAxis } from "./NumericYAxis";
import { IFastItemColumn$1 } from "igniteui-react-core";
import { Color } from "igniteui-react-core";
import { Type, Point } from "igniteui-react-core";
import { Rect } from "igniteui-react-core";
import { Axis } from "./Axis";
import { SeriesView } from "./SeriesView";
import { ProgressiveLoadStatusEventArgs } from "./ProgressiveLoadStatusEventArgs";
import { FastItemsSourceEventAction } from "igniteui-react-core";
import { AxisRange } from "./AxisRange";
import { RenderSurface } from "./RenderSurface";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class HighDensityScatterSeries extends Series {
    static $t: Type;
    constructor();
    protected get_c4(): boolean;
    mh: NumericXAxis;
    mj: NumericYAxis;
    od: string;
    protected mo: IFastItemColumn$1<number>;
    private mn;
    fs(a: any, b: string): any;
    oh: string;
    protected mq: IFastItemColumn$1<number>;
    private mp;
    mx: boolean;
    mw: boolean;
    np: number;
    no: number;
    pa: Color;
    o9: Color;
    n1: number;
    private ov;
    protected i7(a: any, b: string, c: any, d: any): void;
    mv(a: any): boolean;
    mu(a: any): boolean;
    private om;
    private nv;
    private mr;
    private nb;
    private na;
    private m9;
    private m8;
    private m7;
    private m6;
    private ne;
    private nd;
    private nc;
    private mf;
    private mk;
    private ml;
    private mg;
    private mi;
    private mt;
    dw(a: Rect, b: Rect, c: SeriesView): boolean;
    private nw;
    n2: number;
    jm(a: boolean): void;
    private oo;
    private ny;
    private ns;
    private nr;
    protected h6(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    private ol;
    private oq;
    private op;
    progressiveLoadStatusChanged: (sender: any, e: ProgressiveLoadStatusEventArgs) => void;
    private oj;
    private on;
    private my;
    private ox;
    private m4;
    private m3;
    private m5;
    private nh;
    private nf;
    private ng;
    private ni;
    private nk;
    private nm;
    private nl;
    private nj;
    private m0;
    private m1;
    private m2;
    private mz;
    private os;
    c9(a: any): boolean;
    private ou;
    private nz;
    private n0;
    private nn;
    private ot;
    private or;
    private nu;
    private nt;
    private mc;
    private nx;
    private ok;
    protected bf(): SeriesView;
    i2(a: SeriesView): void;
    protected me: HighDensityScatterSeriesView;
    an(a: Axis): AxisRange;
    private ms;
    protected j0(a: Rect, b: Rect): void;
    protected j1(a: Rect, b: Rect): void;
    private _itemIndexes;
    private md;
    private ma;
    fp(a: Point): any;
    private n3;
    ow(a: number[], b: number, c: number): void;
    protected get_dq(): boolean;
    protected set_dq(a: boolean): void;
    h3(a: boolean, b: SeriesView): void;
    jn(a: Rect, b: RenderSurface): void;
    private mm;
    jk(a: Rect, b: Rect, c: RenderSurface, d: string, e: number): void;
    h1(): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class HighDensityScatterSeriesView extends SeriesView {
    static $t: Type;
    constructor(a: HighDensityScatterSeries);
    ap(): void;
    b7(): void;
    protected bw: HighDensityScatterSeries;
    private bu;
    private b2;
    private b1;
    private bz;
    private b0;
    private bx;
    b3(): void;
    bv(): number[];
    b6(): void;
    b5(a: () => void): void;
    protected a3(a: RenderingContext, b: boolean): void;
    by(a: Color, b: Color): boolean;
    b4(): void;
    ai(a: any): void;
}
